Package com.io7m.coffeepick.repository.spi

# Enum RuntimeRepositoryEventUpdateType.Kind

java.lang.Object
java.lang.Enum<RuntimeRepositoryEventUpdateType.Kind>
com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateType.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuntimeRepositoryEventUpdateType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  RuntimeRepositoryEventUpdateType

    public static enum RuntimeRepositoryEventUpdateType.Kind
    extends java.lang.Enum<RuntimeRepositoryEventUpdateType.Kind>

The kind of event.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FAILED` | An update has started failed.
  `FINISHED` | An update has started finished.
  `RUNNING` | An update is in progress.
  `STARTED` | An update has started running.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static RuntimeRepositoryEventUpdateType.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static RuntimeRepositoryEventUpdateType.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STARTED

    public static final RuntimeRepositoryEventUpdateType.Kind STARTED
    An update has started running.

  - ### RUNNING

    public static final RuntimeRepositoryEventUpdateType.Kind RUNNING
    An update is in progress.

  - ### FAILED

    public static final RuntimeRepositoryEventUpdateType.Kind FAILED
    An update has started failed.

  - ### FINISHED

    public static final RuntimeRepositoryEventUpdateType.Kind FINISHED
    An update has started finished.

- ## Method Details

  - ### values

    public static RuntimeRepositoryEventUpdateType.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuntimeRepositoryEventUpdateType.Kind valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null